Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CEC_Dispatching_Task.h File Reference

`#include "ace/Task.h"`
`#include "ace/Message_Block.h"`
`#include "ace/Lock_Adapter_T.h"`
`#include "tao/Basic_Types.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "orbsvcs/CosEvent/event_export.h"`
`#include "CEC_ProxyPushSupplier.h"`

Include dependency graph for CEC_Dispatching_Task.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_CEC_Dispatch_Command
class | TAO_CEC_Dispatching_Task
| Implement the dispatching queues for FIFO and Priority dispatching. More...
class | TAO_CEC_Push_Command
class | TAO_CEC_Shutdown_Task_Command

## Detailed Description

Id:
  CEC_Dispatching_Task.h,v 1.14 2003/10/28 18:34:18 bala Exp

Author:
  Carlos O'Ryan (coryan@cs.wustl.edu)